kbd-chooser (1.71) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 28 Aug 2018 18:35:08 +0200

kbd-chooser (1.70) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Add mips64el support.
  * Remove DEC keyboard support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 May 2016 15:25:24 +0200

kbd-chooser (1.69) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Tue, 02 Feb 2016 05:52:51 +0100

kbd-chooser (1.68) unstable; urgency=medium

  * Add support for the arm64 and ppc64el architectures

 -- Steve McIntyre <93sam@debian.org>  Sun, 24 Aug 2014 16:55:04 -0700

kbd-chooser (1.67) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Colin Watson ]
  * Ignore umount failures in usb_parse_proc.
  * Explicitly ignore dup failures in usb_parse_proc; we can't usefully do
    much in response since if those fail we have no stderr.
  * Handle fgets failures.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:56:58 +0200

kbd-chooser (1.66) unstable; urgency=low

  [ Colin Watson ]
  * Fix various set/defined-but-not-used compiler warnings.

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Fri, 17 May 2013 11:39:45 +0200

kbd-chooser (1.65) unstable; urgency=low

  * Replace XC-Package-Type by Package-Type in debian/control

  [ Updated translations ]
  * Asturian (ast.po) by ivarela

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Oct 2012 23:15:34 +0200

kbd-chooser (1.64) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Welsh (cy.po) by Daffyd Tomos

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 06:38:37 +0200

kbd-chooser (1.63) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Asturian (ast.po) by Mikel González
  * Bulgarian (bg.po) by Damyan Ivanov
  * Tibetan (bo.po) by Tennom
  * Estonian (et.po) by Mattias Põldaru
  * Galician (gl.po) by Jorge Barreiro
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Mahyuddin Susanto
  * Icelandic (is.po) by Sveinn í Felli
  * Kannada (kn.po) by Prabodh C P
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po)
  * Ukrainian (uk.po) by Borys Yanovych
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 Jun 2012 22:29:16 +0200

kbd-chooser (1.62) unstable; urgency=low

  [ Hector Oron ]
  * Add AT and USB keyboard support for armhf.

  [ Jurij Smakov ]
  * Check for kernels higher or equal than 2.6 instead of equal to
    2.6 in usb-kbd.c and sparc-kbd.c to make sure that logic remains
    the same for 3.0 kernels.

 -- Jurij Smakov <jurij@debian.org>  Sun, 21 Aug 2011 18:19:04 +0100

kbd-chooser (1.61) unstable; urgency=low

  [ Konstantinos Margaritis ]
  * Added armhf in arch field. Closes: #604688.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov

 -- Hector Oron <zumbi@debian.org>  Thu, 21 Apr 2011 13:38:13 +0100

kbd-chooser (1.60) unstable; urgency=low

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:55:58 -0200

kbd-chooser (1.59) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beširović
  * Danish (da.po) by Jacob Sparre Andersen
  * Icelandic (is.po) by Sveinn í Felli
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 16:07:33 -0200

kbd-chooser (1.58) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Danish (da.po) by Jacob Sparre Andersen
  * Persian (fa.po) by acathur
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po)

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 13:56:44 +0200

kbd-chooser (1.57) unstable; urgency=low

  * Enable USB keyboards on sh4.
  * Enable AT, USB and SPARC keyboards on sparc64.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 12 May 2010 22:27:57 +0200

kbd-chooser (1.56) unstable; urgency=low

  * Add sh4 and sparc64 to the list of supported architectures.
    Closes: #547995.
  
  [ Updated translations ]
  * Asturian (ast.po) by astur
  * German (de.po) by Holger Wansing
  * Hebrew (he.po) by Lior Kaplan
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 11 May 2010 08:45:43 +0200

kbd-chooser (1.55) unstable; urgency=low

  * Update isinstallable script for new auto-install framework.
    Requires preseed (>= 1.45).

  [ Updated translations ]
  * Danish (da.po) by Anders Jenbo

 -- Frans Pop <fjp@debian.org>  Wed, 24 Mar 2010 16:41:11 +0100

kbd-chooser (1.54) unstable; urgency=low

  * Ensure that kbd gets installed together with console-setup. Currently it
    is only recommended.
  * Install keyboard-configuration instead of console-setup on kfreebsd and
    hurd as those arches don't have kbd.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Israt Jahan
  * German (de.po) by Holger Wansing
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Frans Pop <fjp@debian.org>  Thu, 18 Mar 2010 22:39:29 +0100

kbd-chooser (1.53) unstable; urgency=low

  * If the user selected "no keyboard" or "skip config", force keymap for
    keyboard-configuration to "us". This is the only real option currently as
    keyboard-configuration does not have a "keep kernel keymap" option.
    Closes: #559878.

  [ Updated translations ]
  * Galician (gl.po) by Marce Villarino

 -- Frans Pop <fjp@debian.org>  Tue, 08 Dec 2009 14:44:43 +0100

kbd-chooser (1.52) unstable; urgency=low

  * It's not actually necessary to set seen flags for keyboard-configuration.
    Now that the selected keymap gets propagated to the target environment,
    the package asks the question at medium instead of critical priority, and
    thus the question does not get displayed.
  * Standardize installation of run-parts directories at build time.

 -- Frans Pop <fjp@debian.org>  Wed, 18 Nov 2009 23:42:54 +0100

kbd-chooser (1.51) unstable; urgency=low

  * There's no need to set debian-installer/locale in the target environment
    before installing console-setup as it can get the correct locale from
    the LC_* environment variables.

 -- Frans Pop <fjp@debian.org>  Wed, 18 Nov 2009 15:18:29 +0100

kbd-chooser (1.50) unstable; urgency=low

  * Avoid display of keyboard-configuration debconf dialog when it is
    installed during post-base-installer.d by setting the seen flag.
  * Make sure debian-installer debconf variables needed by console-setup
    are available in the target environment before installing the package.

  [ Updated translations ]
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Mon, 16 Nov 2009 23:44:52 +0100

kbd-chooser (1.49) unstable; urgency=low

  [ Frans Pop ]
  * Makefile: change to using dpkg-architecture.
  * Remove no longer needed Lintian override for missing Standards-Version
    field.
  * Also try /sys/kernel/debug/usb/devices when detecting USB keyboards. As of
    2.6.31 the file /proc/bus/usb/devices may no longer exist. Closes: #534412.

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Estonian (et.po) by Mattias Põldaru
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu

 -- Frans Pop <fjp@debian.org>  Tue, 27 Oct 2009 22:15:12 +0100

kbd-chooser (1.48) unstable; urgency=low

  * Install console-setup instead of kbd and console-data but only in case
    we're not in a serial console. (Closes: #537872)

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 22 Jul 2009 07:48:23 -0300

kbd-chooser (1.47) unstable; urgency=low

  [ Frans Pop ]
  * Drop support for the ppc64 architecture.

  [ Christian Perrier ]
  * Bump debhelper compatibility level to 6

  [ Updated translations ]
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Estonian (et.po) by Mattias Põldaru

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jun 2009 17:37:55 +0200

kbd-chooser (1.46) unstable; urgency=low

  [ Philip Hands ]
  * check in isinstallable for the presence of /var/run/delay_choosers
    which will have been set by localchooser.isinstallable if required,
    and will be reset by the first preseed to succeed.

  [ Colin Watson ]
  * Install kbd rather than console-tools.
  * Don't ignore 'make clean' errors.

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Marce Villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Kazakh (kk.po) by daur88
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Tagalog (tl.po) by Eric Pareja

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Mar 2009 23:32:40 +0000

kbd-chooser (1.45) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Armin Besirovic
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Veselin Mijušković
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 19:07:56 -0300

kbd-chooser (1.44) unstable; urgency=low

  [ Frans Pop ]
  * Remove incorrect space before ellipses.
  * Remove Alastair McKinstry and Matt Kraai as Uploaders with many thanks for
    their past contributions.
  * Avoid locale errors from perl from post-base-installer script.

  [ Jérémy Bobbio ]
  * Fix mispositioned arguments in the PLAIN rule in loadkeys.
  * Add support for parsing "CapsShift" in keymaps.  (Closes: #490611)
  * Update symbol tables to the one found in kbd 1.14.1.
  * Merge unicode handling from kbd 1.14.1.
  * Work around DirectFB setting the keyboard mode to K_MEDIUMRAW, thus
    preventing full unicode keymaps to be installed when using the graphical
    installer.  (Closes: #490610)

  [ Updated translations ]
  * Amharic (am.po) by Tegegne Tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 23 Jul 2008 21:22:08 +0000

kbd-chooser (1.43) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Latvian (lv.po) by Viesturs Zarins
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 08:18:38 -0200

kbd-chooser (1.42) unstable; urgency=low

  [ Updated translations ]
  * Kurdish (ku.po) by Erdal Ronahi
  * Amharic (am.po) by tegegne tefera

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Jan 2008 07:25:45 +0100

kbd-chooser (1.41) unstable; urgency=low

  * Fix keymap/policy question preseeding quoting and set question type.
    Because of this syntax error console-data wasn't being installed in
    /target.

 -- Otavio Salvador <otavio@debian.org>  Fri, 28 Dec 2007 18:33:30 -0200

kbd-chooser (1.40) unstable; urgency=low

  * Implement better solution as discussed on the debian-boot list to avoid
    console-data displaying its keymap/policy question by setting its "seen"
    flag. Reverts the change in 1.39.

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu

 -- Frans Pop <fjp@debian.org>  Wed, 19 Dec 2007 09:40:40 +0100

kbd-chooser (1.39) unstable; urgency=low

  * After recent changes in apt-install, we need to tell console-data not to
    display its keymap/policy question when it is being installed during a D-I
    installation. console-data (>= 2:1.04-2) will check for the existence of
    the file /tmp/debian-installer/keymap-policy-default to suppress the
    question; create that file in /target before calling apt-install.
    The temporary directory will be removed during finish-install (95umount).
    Closes: #456029.

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Malayalam (ml.po) by Praveen|???????? A|?
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Sat, 15 Dec 2007 18:27:01 +0100

kbd-chooser (1.38) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Clean up devfs-style device names in getfd.c.

  [ Updated translations ]
  * Italian (it.po) by Stefano Canepa
  
 -- Otavio Salvador <otavio@debian.org>  Tue, 11 Sep 2007 09:33:20 -0300

kbd-chooser (1.37) unstable; urgency=high

  * Work around !i386 FTBFS caused by #434040, by manually including
    features.h before kernel headers.
  * High priority since it's breaking the d-i dailys.

 -- Joey Hess <joeyh@debian.org>  Fri, 24 Aug 2007 01:30:40 -0400

kbd-chooser (1.36) unstable; urgency=low

  [ Colin Watson ]
  * Exec kbd-chooser from the postinst to save a process.

  [ Otavio Salvador ]
  * Provides keyboard-setup virtual package.

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Aug 2007 08:42:25 +0200

kbd-chooser (1.35) unstable; urgency=low

  * Multiply menu-item-numbers by 100

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:36:51 -0400

kbd-chooser (1.34) unstable; urgency=low

  [ Joey Hess ]
  * Add armel architecture.
  * Small fix for armeb.

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 16:53:05 +0100

kbd-chooser (1.33) unstable; urgency=low

  * Parameter for hands-off installs has been changed to auto-install/enable
    for consistency with rescue.

 -- Frans Pop <fjp@debian.org>  Fri,  2 Feb 2007 17:08:40 +0100

kbd-chooser (1.32) unstable; urgency=low

  [ Christian Perrier ]
  * Remove a workaround from the sarge days, aimed to install some keymaps
    properly. Removed for all languages it affected (Turkish, Lituanian,
    Hebrew, Ukrainian and Latvian), even though we did not receive
    confirmation for all of them. Closes: #406897.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Jamil Ahmed
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Italian (it.po) by Stefano Canepa
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petri?or

 -- Frans Pop <fjp@debian.org>  Tue, 30 Jan 2007 21:27:02 +0100

kbd-chooser (1.31) unstable; urgency=low

  [ Colin Watson ]
  * Remove yyunput() from generated flex scanner (causes compiler warning).

  [ Frans Pop ]
  * kbd-chooser.h: fix typo in define test for m68k.
  * Make use of new Choices-C facility for console-tools/archs template.
    Requires cdebconf 0.106.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Bengali (bn.po) by Mahay Alam Khan (???? ??? ???)
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 14:57:15 +0200

kbd-chooser (1.30) unstable; urgency=low

  [ Colin Watson ]
  * Const-correctness in findfile_in_dir() and findfile().
  * Remove redeclaration of findfile() in loadkeys.y.

  [ Theppitak Karoonboonyanan ]
  * Add Thai (tis-620) keysyms support. Closes: #377355.

  [ Frans Pop ]
  * Add support for ppc64. Closes: #339716.
  * Execute S55kbd-chooser in debian-installer.d where it belongs so that
    UTF-8 support actually gets enabled. Closes: #365308.
  * Add Lintian override for standards-version.

  [ Philip Hands ]
  * Add isinstallable: to delay configuration if auto-install/enabled=true.

  [ Davide Viti ]
  * Enable "iso-8859-7" needed to install Greek keyboard. Closes: #382697.
  * Disable "mazovia", "koi8", "cp1250" keysyms which are currently unused;
    re-enabling can be done in config.h by uncommenting the right define(s).

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Estonian (et.po) by Siim Põder
  * Gujarati (gu.po) by Kartik Mistry
  * Icelandic (is.po) by David Steinn Geirsson
  * Panjabi (pa.po) by A S Alam
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Wed, 23 Aug 2006 00:04:47 +0200

kbd-chooser (1.29) unstable; urgency=low

  [ Frans Pop ]
  * usb-kbd.c: Switch back to using USB-MAC keymaps for powerpc as otherwise
    the mode switch key (for accented characters) is mapped to the wrong key.
  * Move finish-install script to base-installer to allow inclusion of keymap
    in initrd. Based on patch from David Härdeman. Closes: #376310.

  [ Colin Watson ]
  * Make xstrdup() prototype const-correct.

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Galician (gl.po) by Jacobo Tarrio

 -- Frans Pop <fjp@debian.org>  Mon,  3 Jul 2006 22:53:19 +0200

kbd-chooser (1.28) unstable; urgency=low

  * Fix long broken bootkbd boot option; needs to run kbd-chooser inside a
    debconf instance. Closes: #373650

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Jun 2006 20:09:15 -0400

kbd-chooser (1.27) unstable; urgency=low

  [ Colin Watson ]
  * Fix memory leak: debconf_set doesn't need to be given copies of strings.

  [ Joey Hess ]
  * prebaseconfig transition

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Basque (eu.po) by Piarres Beobide
  * Georgian (ka.po) by Aiet Kolkhi
  * Lithuanian (lt.po) by Kęstutis Biliūnas

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:02:21 -0400

kbd-chooser (1.26) unstable; urgency=low

  [ Colin Watson ]
  * Escape commas while substituting descriptions into choices lists
    (closes: https://launchpad.net/bugs/40042).

  [ Frans Pop ]
  * usb-kbd.c: Add generic AT keyboard where we used to add a generic USB
    keyboard. Some apple systems that have ADB keyboards depended on the
    generic line for keyboard configuration as ADB keyboards themselves are
    not actually detected.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Danish (da.po) by Claus Hindsgaul
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Hungarian (hu.po) by SZERVÑC Attila
  * Khmer (km.po) by Leang Chumsoben
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Čuhalev
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Sat, 13 May 2006 00:56:36 +0200

kbd-chooser (1.25) unstable; urgency=low

  * No longer offer mac-usb keymaps; force any usb keyboard to use AT
    keymaps instead.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide
  * Irish (ga.po) by Kevin Patrick Scannell
  * Galician (gl.po) by Jacobo Tarrio

 -- Frans Pop <fjp@debian.org>  Tue, 28 Mar 2006 18:47:45 +0200

kbd-chooser (1.24) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add armeb to the Architecture field.

  [ Joey Hess ]
  * Rebuilt with current libd-i and cdebconf for proper udeb deps.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÑC Attila
  * Khmer (km.po) by Hok Kakada
  * Latvian (lv.po) by Aigars Mahinovs
  * Punjabi (Gurmukhi) (pa_IN.po) by Amanpreet Singh Alam
  * Romanian (ro.po) by Eddy Petrişor
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:52:24 -0500

kbd-chooser (1.23) unstable; urgency=low

  [ Stephen R. Marenka ]
  * Initialize keymap in case none is found.
  * Allow all m68k subarchs to use at keymap, needed for linux-2.6.

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Finnish (fi.po) by Tapio Lehtonen
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Slovenian (sl.po) by Jure Čuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 11 Jan 2006 22:59:17 +0100

kbd-chooser (1.22) unstable; urgency=low

  [ Tollef Fog Heen ]
  * Nuke obsolete emacs variables from debian/changelog.
  * Remove di_info and di_debug defines from kbd-chooser.c, they are
    available through debian-installer.h.
  * Remove irrelevant check from loadkeys.y, irrelevant due to checking if
    a char is bigger than 256.
  * Add missing #include <sys/ioctl.h> to ksyms.c.

  [ Frans Pop ]
  * Replace forgotten references to "none".

  [ Updated translations ]
  * Latvian (lv.po) by Aigars Mahinovs
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Russian (ru.po) by Yuri Kozlov

 -- Frans Pop <fjp@debian.org>  Sat,  3 Dec 2005 21:20:24 +0100

kbd-chooser (1.21) unstable; urgency=low

  [ Alastair McKinstry ]
  * Fix file descriptor error on serial console installs. Closes: #261073;
    thanks to Martin Michlmayr.

  [ Colin Watson ]
  * Make sure our prebaseconfig script exits zero on success.

  [ Frans Pop ]
  * Change template debian-installer/keymap to type string.
  * Use template names to identify keyboard architectures and build translated
    choices list at runtime. Closes: #273384.

 -- Frans Pop <fjp@debian.org>  Sun, 20 Nov 2005 21:21:22 +0100

kbd-chooser (1.20) unstable; urgency=low

  [ Christian Perrier ]
  * Add some comments for translators

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovak (sk.po) by Peter Mann

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Sep 2005 17:04:12 +0200

kbd-chooser (1.19) unstable; urgency=low

  [ Joey Hess ]
  * Stop writing to debootstrap_settings, dropping woody installation support.

  [ Colin Watson ]
  * If a keymap list entry has the same keymap name as a previous one but a
    different language list, create a new keymap for it. This is required to
    select the correct default for Croatian (closes: Ubuntu #14711).
  * Rip out all of the code to manually fetch localised templates; cdebconf
    has known how to deal with this itself since 2002/2003 or so. Patch from
    Matthias Urlichs via Ubuntu.

  [ Frans Pop ]
  * Show option to skip keyboard configuration and use kernel keymap instead
    of the "no keyboard" option (closes: #306334).
  * Add myself to uploaders.

  [ Updated translations ]
  * Greek (el.po) by Greek Translation Team
  * Basque (eu.po) by Piarres Beobide
  * Kurdish (ku.po) by Erdal Ronahi
  * Dutch (nl.po) by Bart Cornelis
  * Romanian (ro.po) by Eddy Petrisor
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Thu, 22 Sep 2005 14:17:21 +0200

kbd-chooser (1.18) unstable; urgency=low

  * mount -t usbdevfs is no longer supported; use mount -t usbfs instead.
    As 2.4.27 also supports the new format, we drop the old one; older
    kernels should no longer be relevant for Etch.

 -- Frans Pop <fjp@debian.org>  Tue,  2 Aug 2005 00:38:00 +0200

kbd-chooser (1.17) unstable; urgency=low

  * Add missing debian-installer/uml-console template.
  * Use di_system_subarch_analyze rather than forking archdetect.
  * Updated translations:
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2005 11:06:50 +0100

kbd-chooser (1.16) unstable; urgency=low

  * Matt Kraai
    - Do not include <linux/keyboard.h>. (Closes: #317861)
    - Add self to Uploaders.

 -- Matt Kraai <kraai@debian.org>  Sun, 17 Jul 2005 06:12:44 -0700

kbd-chooser (1.15) unstable; urgency=low

  * Colin Watson
    - Give debian/kbd-chooser.templates the same mtime as
      debian/kbd-chooser.templates-in, so that po2debconf doesn't decide
      that it needs to run debconf-updatepo on every binary package build.
    - Improve copyright file a little, thanks to lintian.
    - Squash various signedness warnings from gcc-4.0.
  * Frans Pop
    - Fix segfault if localechooser is not present by setting default
      for debian-installer/language. (Closes: #314721)
    - While we're at it, improve check for debian-installer/locale.
  * Updated translations: 
    - Vietnamese (vi.po) added by Clytie Siddall

 -- Christian Perrier <bubulle@debian.org>  Wed,  6 Jul 2005 14:25:00 +0200

kbd-chooser (1.14) unstable; urgency=low

  * Colin Watson
    - Rename mydebconf_get() to mydebconf_client(), which is less
      gratuitously confusing.
  * Joey Hess
    - Fix path to archdetect.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team

 -- Joey Hess <joeyh@debian.org>  Mon, 23 May 2005 10:27:23 -0400

kbd-chooser (1.13) unstable; urgency=low

  * Joey Hess
    - Call archdetect command instead of using debconf template.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Kostas Papadimas
    - Basque (eu.po) by Piarres Beobide
    - Hebrew (he.po) by Lior Kaplan
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes

 -- Joey Hess <joeyh@debian.org>  Sat, 21 May 2005 13:37:18 -0400

kbd-chooser (1.12) unstable; urgency=medium

  * Colin Watson
    - Use AT keymaps on amd64 systems with USB keyboards, as was already
      done on i386.
    - Fix broken keymap detection on most architectures due to changed
      semantics of grep().
    - Call apt-install from postinst rather than prebaseconfig; the latter
      runs too late in CD installs (closes: #276110).
    - Add myself to Uploaders.
  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Dutch (nl.po) by Bart Cornelis
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Thu,  5 May 2005 17:55:30 +0100

kbd-chooser (1.11) unstable; urgency=high

  * Sven Luther
     - Modified grep in kbd-chooser.c, so we can now detect if a console=tty0
       is present after a console=tty[sS] in /proc/cmdline, so kbd-chooser
       doesn't wrongly think we are on a serial console.
  * Frans Pop
    - Delete redundant call to check_if_serial_console in main.

 -- Sven Luther <luther@debian.org>  Sun, 20 Mar 2005 18:03:00 +0100

kbd-chooser (1.10) unstable; urgency=high

  * Joey Hess
     - Patch from Eugeniy Meshcheryako to do the same for Ukrainian keymap
       as was earlier done for other non-unicode, non-latin-1 languages 
       in version 1.05. Closes: #296264

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Feb 2005 11:57:11 -0500

kbd-chooser (1.09) unstable; urgency=low

  * Joey Hess
    - Apply "patch 1" from fjp to skip looking at varying Driver field
      when detecting usb keyoards. Closes: #248855

 -- Joey Hess <joeyh@debian.org>  Tue,  7 Dec 2004 17:59:07 -0500

kbd-chooser (1.08) unstable; urgency=high

  * Joey Hess
    - Adding new questions to critical priority at this point breaks
      existing preseed setups, so undid Colin's change from the last version.
      Derived distros will have to deal with it in their own way until after
      sarge.
    - Add a note to TODO about this.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Nov 2004 12:22:26 -0500

kbd-chooser (1.07) unstable; urgency=high

  * Frans Pop
    - usb-kbd.c: several fixes:
      - Fix recognition of usb keyboards (actually add to and return the list)
      - Add recognition of usb keyboards behind an usbhid
      - Display AT-keymaps for usb keyboards on i386 and powerpc (prep & chrp)
      - Added some debug output to help trace problems; can be cleaned later
      - Some whitespace cleanup
      This fixes #280122, but for now d-i will still display misleading
      dialogs: "AT keymaps" for USB keyboards.
    - kbd-chooser.c:
      - Fix checks to see if no-keyboard option should be added
      - Add functions to avoid double entries in arch selection dialog
    - at-kbd.c: minor correction in comments
  * Colin Watson
    - Ask keymap question at critical priority. Experience from Ubuntu
      suggests that trying to skip this question creates too many problems
      in the long run even if you're trying to present a reduced-questions
      installation.

 -- Sven Luther <luther@debian.org>  Wed, 10 Nov 2004 17:35:21 +0100

kbd-chooser (1.06) unstable; urgency=high

  * Frans Pop
    - Fix error in parsing locale to set correct default keymap
      for locales with a modifier or charmap. Closes: #274692
    - Fix logical error in check for charset when determining the
      default keymap
  * Joshua Kwan
    - remove myself from Uploaders
  * Updated translations: 
    - Finnish (fi.po) by Tapio Lehtonen
    - Russian (ru.po) by Yuri Kozlov

 -- Joey Hess <joeyh@debian.org>  Sat,  6 Nov 2004 18:17:51 -0500

kbd-chooser (1.05) unstable; urgency=high

  * Recai Oktas
    - debian/prebaseconfig
      - Workaround for fixing side effects while loading keymaps in
        non Latin-1, non UTF-8 environments, for Turkish, Hebrew,
        Lithuanian, Latvian. Closes: #276752
  * Christian Perrier
    - debian/templates-in
      - File renamed to kbd-chooser.templates-in for better readability
        of merged PO files

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Oct 2004 23:09:40 +0200

kbd-chooser (1.04) unstable; urgency=low

  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Debian Indonesia Team
    - Japanese (ja.po) by Kenshi Muto
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:19:34 -0400

kbd-chooser (1.03) unstable; urgency=low

  * Joey Hess
    - Use debhelper's udeb support.
  * Joey Schulze
    - Corrected defines for code that should only run on little endian
      MIPS machines, should fix misclassification of keyboards on
      DECstation machines
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Steve Langasek
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VERÃ?K IstvÃ¡n
    - Indonesian (id.po) by Debian Indonesia Team
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 2004 15:45:54 -0400

kbd-chooser (1.02) unstable; urgency=low

  * Colin Watson
    - Remove duplicate amd64 entry in Makefile.
  * Sven Luther
    - powerpc/apus has amiga as subarch, not apus.

 -- Sven Luther <luther@debian.org>  Sat, 25 Sep 2004 18:21:02 +0200

kbd-chooser (1.01) unstable; urgency=low

  * Joshua Kwan
    - All keyboards on SPARC/2.6 are enumerated as PC keyboards, so don't
      load the sun keymap for them - go for AT.
    - Also enable normal AT keyboard support for sparc, many Ultras have
      PS/2 ports.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Latvian (lv.po) by Aigars Mahinovs
    - Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joshua Kwan <joshk@triplehelix.org>  Sun, 12 Sep 2004 15:52:40 -0700

kbd-chooser (1.00) unstable; urgency=low

  * Use lib/debian-installer-startup.d rather than etc/rcS.d
    Closes: #260812.
  * Recai Oktas
    - Correct symbol conversion when in ASCII mode. Closes: #261144.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Croatian (hr.po) by Kruno
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jul 2004 19:07:50 -0400

kbd-chooser (0.60) unstable; urgency=low

  * Eugeniy Meshcheryakov
    - Patch to fix incorrect koi8 to unicode mapping. Closes: #257426.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Jul 2004 22:29:35 +0100

kbd-chooser (0.59) unstable; urgency=low

  * Matt Zimmerman
    - User Mode Linux support. Closes: #57383.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  8 Jul 2004 21:10:08 +0100

kbd-chooser (0.58) unstable; urgency=low

   * Denis Barbier
     - Make kbd-chooser work with keymaps containing plus symbols.
   * Recai Oktas
     - Preserve compatibility with the console-tools by modifying
       the previous patch.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  7 Jul 2004 20:40:57 +0100

kbd-chooser (0.57) unstable; urgency=low

  * Denis Barbier
    - Make kbd-chooser work with keymaps containing unicode chars.
  * Recai Oktas
    - Set console mode to unicode.  Closes: #251550.
    - Prevent too many file descriptors referring to the console.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Jul 2004 11:29:36 +0300

kbd-chooser (0.56) unstable; urgency=low

  * Colin Watson
    - Restore debian/po/output.

 -- Colin Watson <cjwatson@debian.org>  Fri,  2 Jul 2004 12:55:18 +0100

kbd-chooser (0.55) unstable; urgency=low

  * Thiemo Seufer
    - Add amd64 keyboard definition to the Makefile, thanks Kurt Roeckx.
  * Alastair McKinstry
    - Patch from Denis Barbier to handle unicode chars in keymaps
      (see #251550).
  * Updated translations:
    - Hungarian (hu.po) by  VERÓK István.
    - Farsi (fa.po) by Arash Bijanzadeh.
    - Ukrainan (uk.po) by Eugenioy Meshcheryakov.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Jun 2004 22:18:55 +0100

kbd-chooser (0.54) unstable; urgency=low

  * Joshua Kwan
    - Add amd64 to Architecture list (Closes: #249364)
  * Alastair McKinstry
    - Fix default keyboard handling. Closes: #249164.
    - Don't include AT and USB keyboards on DECstations.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 May 2004 06:32:14 -0700

kbd-chooser (0.53) unstable; urgency=low

  * Fix calculation of default keymap by locale. Closes: #245477, #247466.
  * make kbd-chooser work with unicode maps. Closes: #247944.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 May 2004 19:07:16 +0100

kbd-chooser (0.52) unstable; urgency=low

  * Alastair McKinstry
    - On 2.6 kernels, detect sparc and amiga keyboards from /proc.
  * Stephen R. Marenka
    - Add sun3(x) m68k subarch.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 8 May 2004 15:10:24 +0100

kbd-chooser (0.51) unstable; urgency=low

  * Stephen R. Marenka
    - Fixed m68k exclusion for at keyboards, added q40 subarch.
    - Workaround adb keymap detection for 2.2 kernels.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Apr 2004 12:25:08 -0400

kbd-chooser (0.50) unstable; urgency=low

  * Matt Kraai
    - findfile.c: Do not find directories. Closes: #244997.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bokmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor
    - Vietnamese (vi.po) by Vu Quang Trung

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 12:53:30 -0400

kbd-chooser (0.49) unstable; urgency=low

  * Alastair McKinstry
    - Add initial HP HIL keyboard support
    - prebaseconfig: Only use Unicode Turkish keymaps for first stage
  * Joey Hess
    - Add a blank line to the end of templates-in, so the next file catted to
      it will end up in a different stanza (how fragile..)
  * Colin Watson
    - Fix ADB keymap detection logic: missing
      /proc/sys/dev/mac_hid/keyboard_sends_linux_keycodes indicates no ADB
      keymap support in the kernel.
  * Updated translations: 
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Alwin Meschede
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Héctor Fernández López
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Davide Viti
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Nikolai Prokoschenko
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Turkish (tr.po) by Osman Yüksel
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Apr 2004 11:17:31 -0400

kbd-chooser (0.48) unstable; urgency=low

  * Alastair McKinstry
    - findfile.c: re-include code to decompress keymaps.
      Needed to minimise memory usage.
    - Add Initial DEC keyboard support for mipsel.
   * Updated translations: 
     - Indonesian (id.po) by Parlin Imanuel Toh
     - Turkish (tr.po) by Osman Yüksel
     - Basque (eu.po) by Piarres Beobide Egaña
     - Galician (gl.po) by Héctor Fernández López 
     - Romanian (ro.po) by  Eddy Petrisor

 -- Alastair McKinstry <mckinstry@debian.org>  Mon,  5 Apr 2004 22:11:16 +0100

kbd-chooser (0.47) unstable; urgency=high

  * Alastair McKinstry
    - Fix regression: ensure console-archs always returns a value,
      Closes: #240171.
    - Improved AT-type keyboard detection on 2.6 kernels.
    - Don't offer mac USB keymaps on non-mac USB keyboards.
  * Translations:
    - Bosnian (bs.po) by Safir Šećerović

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Mar 2004 23:07:41 +0000

kbd-chooser (0.46) unstable; urgency=high

  * Updated translations: 
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Turkish (tr.po) by Osman Yüksel
  * Alastair McKinstry 
    - When using a serial console, ask "keyboard arch" question at low
      priority, defaulting to "none". Closes: #231219.
    - Also try to detect serial consoles from /proc/cmdline, to deal with
      UARTs that don't support TIOCGSERIAL.
    
 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Mar 2004 21:32:00 +0000

kbd-chooser (0.45) unstable; urgency=low

  * Updated translation
    - Russian by Nikolai Prokoschenko

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Mar 2004 13:41:03 -0500

kbd-chooser (0.44) unstable; urgency=low

  * Alastair McKinstry
    - Avoid segfault when we didn't pick a preferred keyboard. 
    Closes: #234513.
    - Ensure mac keyboards are included on powerpc architectures
    - *-kbd.c: Fix minor memory leak.
    - Disable usb detection code for powerpc for the moment.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Mar 2004 09:12:23 +0000

kbd-chooser (0.43) unstable; urgency=low

  * Translations:
    - Giuseppe Sacco
      - Updated italian translation by Davide Viti (it.po)
    - Ognyan Kulev
      - Updated Bulgarian translation (bg.po).
    - Dafydd Harries : Added Welsh translation (cy.po)

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Mar 2004 00:04:57 -0500

kbd-chooser (0.42) unstable; urgency=low

  * Joey Hess
    - Use three dots in elipses for consistency.
  * Updated translations:
    - Miguel Figueiredo
      - Updated Portuguese translation (pt.po)
    - Bartosz Fenski
      - Updated Polish translation (pl.po)
    - Pierre Machard
      - Updated French translation (fr.po)
    - Kenshi Muto
      - Updated Japanese translation (ja.po)
    - Konstantinos Margaritis
      - Updated Greek translation (el.po)
    - Carlos Z.F. Liu
      - Updated Simplified Chinese translation (zh_CN.po)
    - Jordi Mallach
      - Updated Catalan translation (ca.po)
    - André Luís Lopes
      - Updated Brazilian Portuguese translation (pt_BR.po)
    - Eugeniy Meshcheryakov
      - Updated Ukrainian translation (uk.po)
    - Miroslav Kure
      - Updated Czech translation (cs.po)
    - Elian Myftiu
      - Updated Albanian translation (sq.po)
    - Claus Hindsgaul
      - Update da.po (Danish) translation.
    - Ming Hua
      - Initial Traditional Chinese translation (zh_TW.po), by Tetralet
      - Updated Traditional Chinese translation (zh_TW.po), by Tetralet
    - Håvard Korsvoll
      - Updated Norwegian, nynorsk (nn.po) translation.
    - Peter Mann
      - Updated Slovak translation (sk.po)
    - Alwin Meschede
      - Updated German translation (de.po)
    - Andre Dahlqvist
      - Update Swedish translation (sv.po)
    - Alastair McKinstry
      - Update Irish translation (ga.po)
    - Bart Cornelis 
      - Update Dutch translation (nl.po) 
    - Changwoo Ryu
      - Updated Korean translation (ko.po)
    - Javier Fernandez-Sanguino
      - Updated Spanish translation (es.po)
    - Jure Cuhalev 
      - Updated Slovenian translation (sl.po)
    - Håvard Korsvoll
      - Updated Norwegian, bokmål translation, (nb.po). From Axel Bojer

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Mar 2004 13:35:26 -0500

kbd-chooser (0.41) unstable; urgency=low

  * Jeff Bailey
    - Applied patches for sun keyboard map.  (Closes: #227852)
      (Thanks to Thomas Poindessous <thomas@poindessous.com>)
  * Eugen Meshcheryakov : added Ukrainian translation (uk.po)
  * Alastair McKinstry
    - usb-kbd.c: Autodetect USB keyboard using devices file. Closes: #220137.
    - Ignore keys that are invalid for 2.4 kernels. Closes: #229761.
  * Joey Hess
    - Add a prebaseconfig progress template.
    - Put myself in uploaders.

  * Updated translations:
    - Changwoo Ryu
      - Added Korean translation (ko.po).
    - André Luís Lopes
      - Updated Brazilian Portuguese translation (pt_BR.po)
    - Kenshi Muto
      - Updated Japanese translation (ja.po)
    * Claus Hindsgaul
      - Update da.po (Danish) translation.
    - Kęstutis Biliūnas
      - Updated Lithuanian translation (lt.po)
    - Carlos Z.F. Liu
      - Updated Simplified Chinese translation (zh_CN.po)
    - Konstantinos Margaritis
      - Updated Greek translation (el.po)
    - Miroslav Kure
      - Updated Czech translation (cs.po)
    - Elian Myftiu
      - Updated Albanian translation (sq.po)
    - Jordi Mallach
      - Updated Catalan translation (ca.po)

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Feb 2004 22:09:24 -0500

kbd-chooser (0.40) unstable; urgency=low

  * Matt Kraai
    - Fix the backup button for the console-tools/archs template.
    - Quit if the user chooses not to configure the keyboard.
  * Joey Hess
    - Use po2debconf rather than hand-hackery in generating demo.templates.
  * Denis Barbier
    - Replace yes/no values by true/false in debian-installer/serial-console.
      Previous version did work, but using canonical values is less confusing.

  * Updated translations:
    - Andre Dahlqvist
      - Update Swedish translation sv.po
    - Peter Mann
      - Update Slovak translation
    - Miguel Figueiredo
      - Updated Portuguese translation (pt.po)
    - Giuseppe Sacco
      - applied patch for normalizing menus and some italian translation (it.po)
    - h3lios
      - Added Albanian translation (sq.po)
    - Jordi Mallach
      - Update Catalan translation (ca.po).

 -- Joey Hess <joeyh@debian.org>  Thu,  5 Feb 2004 14:48:15 -0500

kbd-chooser (0.39) unstable; urgency=low

  * Bartosz Fenski
    - Updated Polish (pl) translation.
  * Alastair McKinstry
    - Updated Irish (ga.po) translation.
  * Matt Kraai
    - Fix the capitalization of the menu entry.
  * Christian Perrier
    - Run debconf-updatepo after the above change
    - Unfuzzied translations after the above change
  * Joey Hess
    - Mention PS-2 in kbd-chooser/kbd/at.
  * Christian Perrier
    - Run debconf-updatepo after the above change
    - Updated french translation
  * Kenshi Muto
    - Update Japanese translation (ja.po)
  * Bart Cornelis
    - Updated Dutch (nl.po) translation
  * André Luís Lopes
    - Updated Brazilian Portuguese (pt_BR) translation.
  * Konstantinos Margaritis
    - Updated Greek translation (el.po)
  * Kęstutis Biliūnas
    - Updated Lithuanian translation (lt.po).
  * Anmar Oueja
    - created and translated to Arabic (ar.po)
  * Teófilo Ruiz Suárez
    - Updated Spanish translations (po/es.po)
  * Miroslav Kure
    - Updated Czech translation
  * Peter Mann
    - Updated Slovak translation
  * Nikolai Prokoschenko
    - updated russian translation (ru.po)
  * Anmar Oueja
    - Updated Arabic translation (ar.po)
  * Claus Hindsgaul
    - Update da.po (Danish) translation.
  * Alwin Meschede
    - Updated German translation (de.po)
  * Nikolai Prokoschenko
    - Updated russian translation (ru.po)
  * Ming Hua
    - Updated Simplified Chinese translation (zh_CN.po)
  * Safir Secerovic
    - Update Bosnian translation (bs.po).
  * Stephen R. Marenka
    - m68k updates

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Jan 2004 19:34:37 -0500

kbd-chooser (0.38) unstable; urgency=low

  * Ming Hua
    - Initial Simplified Chinese translation (zh_CN.po)
  * Bart Cornelis
    - Merged Norwegian Nynorsk (nn.po) translation from skolelinux-cvs

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Jan 2004 14:46:30 -0500

kbd-chooser (0.37) unstable; urgency=low

  * Bart Cornelis 
    - Merged Norwegian Bokmael (nb.po) translation from skolelinux-cvs
  * Jure Cuhalev
    - Added/updated slovenian translation (sl.po).
  * Luis Ferreira
    - Added portuguese translation (pt.po).
  * Peter Mann
    - Updated Slovak translation
  * André Dahlqvist
    - Added Swedish translation

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Dec 2003 19:57:19 -0500

kbd-chooser (0.36) unstable; urgency=low

  * Bartosz Fenski
    - Updated Polish (pl) translation.
  * Verok Istvan
    - Initial Hungarian translation
  * Denis Barbier
    - In debian/templates-in, the comment telling which string is used
      as an item for the main menu was not inserted into PO files.  In
      the same file, remove an extra leading space in console-tools/archs
      description.
    - Fix translation of main menu item in fr.po.
  * David Martínez Moreno
    - Converted Spanish translation to UTF-8 and updated it.
  * Konstantinos Margaritis
    - Updated Greek translation (el.po)
  * Bart Cornelis
    - Updated Dutch translation
  * Alwin Meschede
    - Updated German translation (de.po)
  * Giuseppe Sacco
    - First italian translation by Davide Viti (it.po)
  * Steinar H. Gunderson
    - Update Norwegian translation (nb.po).
  * Ognyan Kulev
    - Added/updated bulgarian translation (bg.po).
  * Joey Hess
    - Exit 10 on backup, not 30.

 -- Joey Hess <joeyh@debian.org>  Mon, 22 Dec 2003 13:02:20 -0500

kbd-chooser (0.35) unstable; urgency=low

  * Ilgiz Kalmetev
    - Updated Russian translation.
  * Konstantinos Margaritis
    - Initial Greek translation (el.po)
  * Safir Šećerović
    - Updated Bosnian translation (bs.po)
  * Alastair McKinstry
    - Changed the default priority of keymap question to high by popular
    demand. Closes: #220476, #220124.
    - Updated Irish translation.
  * Ilgiz Kalmetev
    - Update Russian translation. Closes: #221654.
  * Joey Hess
    - Update README
 
 -- Joey Hess <joeyh@debian.org>  Tue,  9 Dec 2003 15:55:59 -0500

kbd-chooser (0.34) unstable; urgency=low

  * Matt Kraai
    - Use strstr instead of substr (closes: #220503).
  * Alastair McKinstry
    - Fix arm build. Closes: #220501.
    - Replace di_check_dir(), as its no longer supplied by libd-i.
     Closes: #215404.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Nov 2003 21:16:24 -0800

kbd-chooser (0.33) unstable; urgency=low

  * Peter Mann
    - Initial Slovak translation (sk.po).
  * Christian Perrier
    - Update French translation.
  * Kęstutis Biliūnas
    - Update Lithuanian translation.
  * Claus Hindsgaul
    - Update da.po (Danish) translation.
  * Alastair McKinstry 
    - debian-installer/language may be a colon-seperated list of
      languages. cope
    - Select right keyboard when debian-installer/locale code is of the
      form 'de_DE@euro' rather than simply 'de'. Closes: #219929.
    - Use CMD_* constants from cdebconf.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Nov 2003 21:28:41 +0100

kbd-chooser (0.32) unstable; urgency=low

  * Alastair McKinstry
    - <goback> now exits with code 30 again.
  * Kenshi Muto
    - Update Japanese translation (ja.po)
  * Bart Cornelis
    - update Dutch translation (nl.po)

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Nov 2003 14:08:38 -0500

kbd-chooser (0.31) unstable; urgency=low

  *  André Luís Lopes
     - Update pt_BR (Brazilian Portuguese) translation.
  *  Miroslav Kure
     - Update Czech translation.
  * Tommi Vainikainen
    - Update Finnish translation.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Nov 2003 13:12:13 -0500

kbd-chooser (0.30) unstable; urgency=low

  * Alastair McKinstry
    - Handle locales better; ie if lang = "de_CH" and translations to "de_CH"
      don't exist, try "de".
    - Better default keyboard handling; don't set on most kbds, choose locale
      ones instead.
    - Debconf template polishing. Closes: #219470.
    - Disable USB keyboard detection. Erroneously offering the USB
      keyboard as the default choice. Closes: #219344, #219295.
    - Ifdef some macros that should be in cdebconf, libd-i.
    - On GOBACK, quit with exit 0, not 30; its not an error, and main-menu
      shouldn't lower the priority.
  * André Luís Lopes
    - Update pt_BR (Brazilian Portuguese) translation.
  * Safir Secerovic, Amila Akagic
    - Add Bosnian translatio (bs.po).
  * Christian Perrier 
    - Update French translation.
  * Alastair McKinstry
  * Kenshi Muto
    - Update Japanese translation (ja.po)
  * Kęstutis Biliūnas
    - Update Lithuanian translation.
  * Miroslav Kure
    - Update Czech (cs.po) translation.
  * Ilgiz Kalmetev
    - Updated Russian translation. Closes: #219092.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  6 Nov 2003 21:43:55 +0000

kbd-chooser (0.29) unstable; urgency=low

  * Alastair McKinstry
    - Pick which keyboards to use for m68k, powerpc using archdetect.
      Closes: #213319.
    - Keyboard names now properly translatable. Closes: #215212.
    - Update Irish translation (ga.po).
  * Bart Cornelis
    - updated dutch translation (nl.po)
  * Christian Perrier
    - Update French translation.
  * Kęstutis Biliūnas
    - Add Lithuanian translation (lt.po).
  * André Luís Lopes
    - Update pt_BR (Brazilian Portuguese) translation.
  * Claus Hindsgaul
    - Add da.po (Danish) translation.
  * Miroslav Kure
    - Update Czech translation (cs.po).
  * Petter Reinholdtsen
    - Updated nb.po.
  * Kenshi Muto
    - Update Japanese translation (ja.po)
  * Tommi Vainikainen
    - Add Finnish (fi.po) translation
  * Carlos Valdivia Yagüe
    - Update Spanish translation (es.po).
  * Bart Cornelis
    - update dutch translation (nl.po)

 -- Bart Cornelis <cobaco@linux.be>  Sat,  1 Nov 2003 13:25:47 +0100

kbd-chooser (0.28) unstable; urgency=low

  * Alastair McKinstry
    - Fixed bad cut-n-paste code bug in atari-kbd.c
    - Depend on libdebconfclient0-dev > 0.47, to get fixed version of
      cdebcon_capb() macro.

 -- Sebastian Ley <ley@debian.org>  Tue, 14 Oct 2003 12:14:49 +0200

kbd-chooser (0.27) unstable; urgency=low

  * Richard Hirst
    - Enable at and usb keyboards on ia64
  * Petter Reinholdtsen
    - Get 'make demo' working.
  * Jordi Mallach
    - Added Catalan (ca) translation.
  * Kenshi Muto
    - Update ja.po
  * Alastair McKinstry
    - Fix broken UTF-8 in changelog
    - Move to Standards-Version: 3.6.1; no changes required.
    - Add debian-installer/kbd-chooser/title template for translation.
    - Use new debconf_ macros.
    - change references from 2.5 to 2.6 kernel
    - Port to new libdebian-installer API.
    - Bump libcdebconf dependency to ensure macros are present.
    - kbd-chooser.c: remove unnecessary fset seen=false commands.
    - Initial atari keyboard support. Please test.
    - Initial HPPA keyboard support.  Closes: #214145.
    - Add other archs to Makefile;
    - exclude building on s390; they don't have native keyboards.
  * Petter Reinholdtsen
    - Remove unused japanese translation from the control file.
      The menu entries should be translated using the .po files.
    - Correct typo in Makefile affecting mipsel arch.  Patch from
      Goswin von Brederlow.
    - Add prototype for yyerror() and yylex() in loadkeys.y.  Patch
      from Goswin von Brederlow.
  * André Luís Lopes
    - Update pt_BR (Brazilian Portuguese) translation.
  * Pierre Machard
    - Update French po-debconf translation. [Christian Perrier]
  * Ilgiz Kalmetev
    - Initial Russian translation. Closes: #214356.
  * Bart Cornelis
    - updated dutch translation (nl.po)
  * Miroslav Kure
    - Initial Czech translation. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 8 Oct 2003 22:11:57 +0200

kbd-chooser (0.26) unstable; urgency=low

  * Bart Cornelis
    - Updated Dutch translation
  * Kenshi Muto
    - Added Japanese translation (ja.po)
  * Teófilo Ruiz Suárez
    - Revised Spanish translation (es.po)
  * Alastair McKinstry
    - kbd-chooser.c: don't segfault on missing description. Closes: #205381.
    - debian/control: Add dependency on console-keymaps.
    - Prefer 'generic' locales wrong specific ones; ie fr' matches 'fr'
      better than 'fr_BE'. Closes: #203260.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  3 Sep 2003 20:45:06 +0100

kbd-chooser (0.25) unstable; urgency=low

  * Change PC keyboard name from "ps2" to "at"; matches change in
    console-data.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jul 2003 15:40:46 +0100

kbd-chooser (0.24) unstable; urgency=low

  * Small error in keymap handling; patch thanks to Thomas Poindessous.
  * kbd-chooser can't handle files other than console-keymaps-*; patch
  from Thomas Poindessous. Closes: #203135.
  * Change changelog to UTF-8 for Standards-Version 3.6.0 
  * Change maintainer-email to mckinstry@debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jul 2003 10:29:49 +0100

kbd-chooser (0.23) unstable; urgency=low

  * Matt Kraai
    - Add nl.po, thanks to Bart Cornelis.
  * Alastair McKinstry
    - Output errors to di_logf, not to stderr

 -- Alastair McKinstry <mckinstry@computer.org>  Mon, 14 Jul 2003 13:06:50 +0200

kbd-chooser (0.22) unstable; urgency=low

  * Recompile for debconfclient rather than debconf. Closes: #193765. 

 -- Alastair McKinstry <mckinstry@computer.org>  Sun, 18 May 2003 21:35:42 +0100

kbd-chooser (0.21) unstable; urgency=low

  * Petter Reinholdtsen
    - Add Norwegian Bokmål (nb.po).
  * Thorsten Sauter
    - Include german translation (de.po)
  * Alastair McKinstry
    - If console keymap files are missing, exit with error, not segfault.
    Closes: #192587.
    - exit with code 30 if BACK is selected at options menu.
    Closes: #193280.

 -- Alastair McKinstry <mckinstry@computer.org>  Thu, 15 May 2003 20:43:05 +0100

kbd-chooser (0.20) unstable; urgency=low

  * handle bootkbd= parameter. Closes: #185844. 

 -- Alastair McKinstry <mckinstry@computer.org>  Thu,  1 May 2003 17:53:54 +0100

kbd-chooser (0.19) unstable; urgency=low

  * Add es template support, thanks to  Carlos Valdivia Yagüe.
  * Don't offer "no keyboard" choice unless we're doing a remote install.
  * change prebaseconfig KBD to KEYBD to agree with base-config. 
  Closes: #191108.

 -- Alastair McKinstry <mckinstry@computer.org>  Sun, 27 Apr 2003 09:00:39 +0100

kbd-chooser (0.018) unstable; urgency=low

  * Petter Reinholdtsen
    - Strip '.kmap' as well as '.kmap.gz' from keymap path name
      when passing it to base-config. (Closes: #188033).
  * Sort keymap list (Closes: #187822).

 -- Alastair McKinstry <mckinstry@computer.org>  Sun, 27 Apr 2003 09:00:23 +0100

kbd-chooser (0.017) unstable; urgency=low

  * Petter Reinholdtsen
    - Avoid setting KDB in prebaseconfig is the keymap is unknown/unset.
  * Alastair McKinstry
    - Refactor to make structure clearer. Ensure we check all responses from
    debconf: Closes: #185845.
    - Added Norwegian Nynorsk (nn.po), thanks to Gaute Hvoslef Kvalnes.

 -- Alastair McKinstry <mckinstry@computer.org>  Sun, 23 Mar 2003 16:39:21 +0000

kbd-chooser (0.016) unstable; urgency=low

  * Remove global variables to simplify understanding the code.
  * Ensure a working default kbd is set, so that kbd-chooser doesn't 
    segfault on PRIORITY=high with no presets.
    Closes: #184995, #185013.
  * Petter Reinholdtsten
    - Simplify code in prebaseconfig

 -- Alastair McKinstry <mckinstry@computer.org>  Wed, 19 Mar 2003 22:41:00 +0000

kbd-chooser (0.015) unstable; urgency=low

  *  Typo. Test code only worked in my own (uk) locale.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 14 Mar 2003 15:05:23 +0000

kbd-chooser (0.014) unstable; urgency=low

  * Ensure that default is not set (as Turkish!) if no good language found.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 14 Mar 2003 13:39:39 +0000

kbd-chooser (0.013) unstable; urgency=low

  * Denis Barbier: No need to translate the debian-installer/keymap template
  * put quotes around shell vars in questions or else!. Closes: #184307.
  * Pass correct variable (and contents) to base-config in prebaseconfig.
    Closes: #184297.
  * Set variable as "seen" once we've set it in kbd-chooser. This allows
    postinst to preset kbd.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 14 Mar 2003 10:51:56 +0000

kbd-chooser (0.012) unstable; urgency=low

  * Hide error message when failing to mount usbdevfs, trying to 
    autodetect USB keyboards. Closes: #183596.

 -- Alastair McKinstry <mckinstry@computer.org>  Thu,  6 Mar 2003 10:32:38 +0000

kbd-chooser (0.011) unstable; urgency=low

  * Petter Reinholdtsen
    - Make sure prebaseconfig script sources /usr/share/debconf/confmodule
      to get db_get and friends.
    - Added 'set -e' to postinst script to make sure errors in
      kbd-chooser is reported to main-menu.
  * Simplify locale handling code, now that debian-installer/locale set by
    languagechooser.
  * keyboard type question priority lowered. Closes: #183359.
  * Don't fail in prebaseconfig if debconf var not set. Closes: #183382

 -- Alastair McKinstry <mckinstry@computer.org>  Tue,  4 Mar 2003 21:25:14 +0000

kbd-chooser (0.010) unstable; urgency=low

  * Handle DEBCONF_PRIORITY=high, and no strings being returned from debconf;
    Closes: #182839.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 28 Feb 2003 23:33:27 +0000

kbd-chooser (0.009) unstable; urgency=low

  * André Luís Lopes
    - Add pt_BR translation
    - po/output, po/POTFILES.in : add.
  * Added fr.po.
  * prebaseconfig now sets up vars for baseconfig.
  * Can handle subdirs in /usr/share/console/lists.

 -- Alastair McKinstry <mckinstry@computer.org>  Wed, 26 Feb 2003 14:31:47 +0000

kbd-chooser (0.008) unstable; urgency=low

  * Install keymap from command-line: added for easy debugging.
  * Don't try to load a directory with same name as keymap. (Closes: #180013).
  * Initial Irish translation. 

 -- Alastair McKinstry <mckinstry@computer.org>  Tue, 11 Feb 2003 10:43:20 +0000

kbd-chooser (0.007) unstable; urgency=low

  * Add missing call to closedir.
  * Handle bad keymap lists gracefully.  (Closes: #178991).
  * André Luís Lopes
    - debian/templates converted to (po-debconf/gettext)-like
      template style (debian/po/templates.po generated).
    - Added debian/po/output file so the templates will be using utf8.
    - Added pt_BR (brazilian portuguese) template translation.
    - Bumped Build-Depends on debhelper from version (>= 4.1.13) to
      to (>= 4.1.16) to ensure UTF-8 templates. Build-Depends on
      po-debconf (>= 0.5.0) was already set.
  * Christian Perrier: Add French templates file

 -- Matt Kraai <kraai@debian.org>  Mon, 03 Feb 2003 20:44:22 -0800

kbd-chooser (0.006) unstable; urgency=low

  * Ensure PREFERRED_KBD is always set. (Closes: #179211).
  * Build with debugging on; trying to catch a segfault error reported
    by others (Matt Kraai).

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 31 Jan 2003 21:05:21 +0000

kbd-chooser (0.005) unstable; urgency=low

  * Fix segfault when priority != medium.  (Closes: #178991).

 -- Alastair McKinstry <mckinstry@computer.org>  Thu, 30 Jan 2003 10:54:44 +0000

kbd-chooser (0.004) unstable; urgency=low

  * Ensure USB support when compiling sparc, powerpc
  * Some initial 2.5 support for keyboard detection

 -- Alastair McKinstry <mckinstry@computer.org>  Wed, 29 Jan 2003 09:49:22 +0000

kbd-chooser (0.003) unstable; urgency=low

  * Maintainer now the Debian Install System Team
  * set console-data/keymap to the choice, for later use
  * Add support for Acorn, Amiga. 
  * Cleanup unused prototypes from loadkeys.y

 -- Alastair McKinstry <mckinstry@computer.org>  Tue, 28 Jan 2003 10:53:09 +0000

kbd-chooser (0.002) unstable; urgency=low

  * Add backup capability
  * Remove redundant decompression code from findfile.c, ksyms.c
  * kbd modules can now set a default keymap for a keyboard (so eg a
    USB keyboard may be configured completely automatically, if
    priority == low)
  * Initial support for sparc, powerpc.
  * Allow choice of "no keymap"; console-setup will then not install console-*
    packages in baseconfig.

 -- Alastair McKinstry <mckinstry@computer.org>  Sun, 26 Jan 2003 11:45:29 +0000

kbd-chooser (0.1) unstable; urgency=low

  * Initial Release.

 -- Alastair McKinstry <mckinstry@computer.org>  Wed, 18 Dec 2002 20:28:31 +1100


